﻿using IgniteUI.Blazor.Controls;
using Microsoft.AspNetCore.Components;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace GridProblem.Pages {
    public partial class Index {
        [Inject]
        public IIgniteUIBlazor IgniteUIBlazor { get; set; }
        [Inject]
        public NavigationManager NavMan { get; set; }

        [Parameter]
        public int ID { get; set; }


        private class Test {
            public string Area { get; set; }
            public string Period { get; set; }
            public bool Locked { get; set; }
            public string Status { get=> Locked?"Locked":"Ready";  }
        }

        private IList<Test> Data { get; set; } 


        protected override void OnInitialized() {
            DataGridModule.Register(IgniteUIBlazor);
            SparklineModule.Register(IgniteUIBlazor);

            var data = new List<Test>();
            Enumerable.Range(65, 20).ToList().ForEach(x => {
                data.Add(new Test() { Area = $"Area {((char)x)}", Locked = false, Period = x.ToString() });
                data.Add(new Test() { Area = $"Area {((char)x)}", Locked = false, Period = (x+1).ToString() });
            });
            Data = data;
        }



    }
}